Bug 128528 - Out-of-Memory while transfering big file with vsftp
Out-of-Memory while transfering big file with vsftp
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vsftpd (Show other bugs)
3.0
ia32e Linux
medium Severity high
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-24 12:08 EDT by yannis solaris
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-27 07:44:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yannis solaris 2004-07-24 12:08:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
I am trying to download a big file (50GB) with vsftp. Every time 
memory usage increases and when it reaches the physical limit the 
system crashes.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Normal (default) setup of vsftpd 
2.set RH server as ftp server
3.Start the ftp session from a WIN2000 server 
4.Connect to ftp server as root
5.start the transfer 
6.Memory usage of RH server goes to the limit .... the system crashes 
with out-of-memoty message.
    

Actual Results:  system crashes with out-of-memoty message.
    

Additional info:
Comment 1 Radek Vokal 2004-08-23 05:08:02 EDT
The early Linux 2.6 kernels had a bug in this area - use v2.6.6 or
newer. Also vsftpd-2.0.1 is released. 
Comment 2 Radek Vokal 2005-06-27 07:44:46 EDT
I haven't managed to reproduce it here. Seems to work fine in my test case with
RHEL3 server and FC4 as client. The memory usage was fine during whole transfer.
I'm closing it as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.